Support » Plugin: Gutenberg Block Editor Toolkit – EditorsKit » This Block Has Encountered An Error And Cannot Be Previewed

  • Resolved TheFrameGuy

    (@theframeguy)


    Using v1.31.1 I get a “This Block Has Encountered An Error And Cannot Be Previewed” error on every block I try to edit: core blocks, GeneratePress blocks, etc.

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author Chris Lubkert

    (@clubkert)

    Hi @theframeguy – thanks for reporting this. We haven’t been able to reproduce this issue. We’ve tested with GeneratePress installed as well, but blocks seem to be working fine on our install.

    Can you share a list of plugins you have activated and which theme you are using so that we can try to reproduce this and debug?

    Thanks!

    Hi,

    I am experiencing the same error on custom post types after updating to v.1.31.1.

    Here is my console error:
    An error occurred while running 'mapSelect': Cannot read property '_editorskit_blocks_typography' of undefined

    I have the following plugins installed:

    • Advanced Custom Fields PRO
    • Ajax Search Pro
    • Better Search Replace
    • Contact Form 7
    • Contact Form 7 HubSpot Pro
    • Custom Post Type UI
    • Drag and Drop Multiple File Upload – Contact Form 7
    • Duplicate Page
    • Easy SVG Support
    • EditorsKit
    • Imsanity
    • Polylang
    • Really Simple SSL
    • Regenererate thumbnails
    • Reusable Blocks Extended
    • Simple history
    • WP Sitemap Page
    • Yoast SEO
    • This reply was modified 2 months, 3 weeks ago by mathiasmadsen.
    Thread Starter TheFrameGuy

    (@theframeguy)

    @clubkert, sorry for the delayed reply. I’m using GeneratePress Premium with GenerateBlocks Pro. But like I said, the issue happens with core blocks too. I can spin up a cloned version of the site if you’d like to take a look.

    Thread Starter TheFrameGuy

    (@theframeguy)

    @clubkert, BTW, I rolled back to v1.30 and all is good. It’s definitely an issue with v1.31.1. I saw with v1.31.1 that the font thing was added automatically. Why?

    I can confirm I am also getting this error, the only plugin I have in common with @theframeguy is Yoast SEO (other than EditorsKit). I am not using GeneratePress Premium.

    As a side note, this error only occurs in my custom post type for me. Normal posts are ok.

    Thread Starter TheFrameGuy

    (@theframeguy)

    @obsidianurbex, interesting. Your CPT comment is likely the clue to the issue. I have rolled back to v1.30, but it was CPT’s where I was experiencing the issue. I didn’t test regular pages or posts.

    Hi,
    I am experiencing the same error after updating to v.1.31.1.
    my plugins
    ACF Field For Contact Form 7
    Add menu separators to navigation
    Advanced Custom Fields
    Breadcrumb NavXT
    Button visually impaired
    Contact Form 7
    Contact Form CFDB7
    EditorsKit
    Lightbox with PhotoSwipe
    LuckyWP Cookie Notice (GDPR)
    MimeTypes Link Icons
    Now playing for AzuraCast
    Pods – Custom Content Types and Fields
    Polylang
    Regenerate Thumbnails
    SendPulse Free Web Push
    Simple Custom Post Order
    Simple History
    Site Kit by Google
    SVG Favicon
    VDZ Translit Plugin (SEO permalinks)
    Wordfence Security
    WP Rollback
    Yandex Map Field for ACF
    Yoast SEO`

    Unfortunately, this also happens to me since the update to the latest version. However, only with the reusable blocks.
    The problem is reproducible when I deactivate all plugins with the plugin “Health Check & Troubleshooting” and only have Editors KIt with the default theme WordPress in use.
    Possibly this only affects already existing blocks, but I don’t have the time to try that right now. I will go back to the previous version.

    With me everything works fine with version 1.30 without problems.

    • This reply was modified 2 months, 3 weeks ago by fishmi.
    Plugin Author Chris Lubkert

    (@clubkert)

    Thank you all for the additional information. Very helpful. We will look into this further and resolve this issue.

    Also having this problem.

    Akismet Anti-Spam
    Better Search Replace
    Broken Link Checker
    CC Child Pages
    Child Theme Configurator
    Cookie Notice & Compliance for GDPR / CCPA
    Current Year and Copyright Shortcodes
    Custom Post Type UI
    Disable Comments
    Drop Shadow Boxes
    EditorsKit
    Enable Media Replace
    FileBird
    Genesis Custom Blocks
    GutenTOC – Table of Content Gutenberg Block
    Head Meta Data
    Health Check & Troubleshooting
    Kadence Blocks – Gutenberg Blocks for Page Builder Features
    List Last Changes
    Mobile Detect
    Nested Pages
    Nobs Share Buttons
    Peter’s Login Redirect
    Post Type Switched
    Real-Time Find and Replace
    Really Simple SSL
    Really Simple SSL pro
    Simple Lightbox
    Statify
    Tablepress
    Tablepress Extension: Larger Edit Input Fields
    User Admin Simplifier
    Vendi Abandoned Plugin Check
    WP External Links
    WP Popups
    wpDataTables
    WPS Hide Login
    Yoast SEO
    Yoast SEO Premium

    Plugin Author Chris Lubkert

    (@clubkert)

    Hi @hemdian @fishmi @nimrahh @theframeguy @obsidianurbex

    I wanted to let you know that this issue has been resolved in the latest release (1.31.2). Please let us know if you experience any other issues.

    Thank you all for reporting this and providing helpful information so that we were able to debug and fix this.

    Chris

    Thread Starter TheFrameGuy

    (@theframeguy)

    @clubkert, fantastic news. I appreciate the quick fix.

    Now there are no more problems with the reusable blocks. Thank you for fixing the bug so quickly.

Viewing 15 replies - 1 through 15 (of 16 total)
  • You must be logged in to reply to this topic.